> ## Documentation Index
> Fetch the complete documentation index at: https://docs.nx1cloud.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Get tables details

> Get tables details under a specific schema.



## OpenAPI

````yaml get /api/metastore/catalogs/{catalog_name}/schemas/{schema_name}/tables/details
openapi: 3.1.0
info:
  title: Nx1 AI API
  description: |

    AI API for Nx1 Data Platform Management and Automated Data Tasks.

    Authentication is required via PSK in Authorization header.

    Default PSK is | [ask a friend] |
  version: 0.10.2
servers: []
security: []
paths:
  /api/metastore/catalogs/{catalog_name}/schemas/{schema_name}/tables/details:
    get:
      tags:
        - Metastore
      summary: Get tables details
      description: Get tables details under a specific schema.
      operationId: >-
        get_tables_details_api_metastore_catalogs__catalog_name__schemas__schema_name__tables_details_get
      parameters:
        - name: catalog_name
          in: path
          required: true
          schema:
            type: string
            description: Catalog name.
            title: Catalog Name
          description: Catalog name.
        - name: schema_name
          in: path
          required: true
          schema:
            type: string
            description: Schema name.
            title: Schema Name
          description: Schema name.
      responses:
        '200':
          description: Data retrieved successfully.
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/TablesDetailsResponse'
        '400':
          description: Bad Request
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ErrorResponse'
        '422':
          description: Validation Error
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/HTTPValidationError'
      security:
        - OAuth2AuthorizationCodeBearer: []
        - APIKeyHeader: []
components:
  schemas:
    TablesDetailsResponse:
      properties:
        tables:
          items:
            $ref: '#/components/schemas/TableDetailInfo'
          type: array
          title: Tables
          description: List of table/view details
        total_tables_and_views:
          type: integer
          title: Total Tables And Views
          description: Total number of tables and views
        total_tables:
          type: integer
          title: Total Tables
          description: Total number of tables
        total_views:
          type: integer
          title: Total Views
          description: Total number of views
      type: object
      required:
        - tables
        - total_tables_and_views
        - total_tables
        - total_views
      title: TablesDetailsResponse
    ErrorResponse:
      properties:
        error:
          type: string
          title: Error
          description: A brief description of the error that occurred.
        code:
          type: integer
          title: Code
          description: The HTTP status code associated with the error.
          default: 500
      type: object
      required:
        - error
      title: ErrorResponse
    HTTPValidationError:
      properties:
        detail:
          items:
            $ref: '#/components/schemas/ValidationError'
          type: array
          title: Detail
      type: object
      title: HTTPValidationError
    TableDetailInfo:
      properties:
        table_name:
          type: string
          title: Table Name
          description: Name of the table or view
        table_type:
          type: string
          title: Table Type
          description: 'Type of object: ''table'' or ''view'''
        number_of_columns:
          type: integer
          title: Number Of Columns
          description: Total number of columns in the table/view
        number_of_rows:
          anyOf:
            - type: integer
            - type: 'null'
          title: Number Of Rows
          description: Row count if available. May be `None` for views.
        view_dependency:
          anyOf:
            - $ref: '#/components/schemas/ViewDependencyInfo'
            - type: 'null'
          description: Base tables used by the view. Only applicable for views.
      type: object
      required:
        - table_name
        - table_type
        - number_of_columns
      title: TableDetailInfo
    ValidationError:
      properties:
        loc:
          items:
            anyOf:
              - type: string
              - type: integer
          type: array
          title: Location
        msg:
          type: string
          title: Message
        type:
          type: string
          title: Error Type
        input:
          title: Input
        ctx:
          type: object
          title: Context
      type: object
      required:
        - loc
        - msg
        - type
      title: ValidationError
    ViewDependencyInfo:
      properties:
        view_query:
          type: string
          title: View Query
          description: Query used to create the view
        is_orphan:
          type: boolean
          title: Is Orphan
          description: True if the underlying table is missing or renamed
        error:
          anyOf:
            - type: string
            - type: 'null'
          title: Error
          description: Error in fetching the view dependency.
      type: object
      required:
        - view_query
        - is_orphan
      title: ViewDependencyInfo
  securitySchemes:
    OAuth2AuthorizationCodeBearer:
      type: oauth2
      flows:
        authorizationCode:
          scopes: {}
          authorizationUrl: >-
            https://sso-rapid.rapid.nx1cloud.com/realms/rapid/protocol/openid-connect/auth
          tokenUrl: >-
            https://sso-rapid.rapid.nx1cloud.com/realms/rapid/protocol/openid-connect/token
    APIKeyHeader:
      type: apiKey
      in: header
      name: Authorization-PSK

````